Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# mysqlpp::BadOption Class Reference

Exception thrown when you pass an unrecognized option to Connection::set_option(). More...

`#include <exceptions.h>`

Inheritance diagram for mysqlpp::BadOption:

[legend]
Collaboration diagram for mysqlpp::BadOption:

[legend]
List of all members.

## Public Methods

| BadOption (const char *w, Connection::Option o)
| Create exception object, taking C string.
| BadOption (const std::string &w, Connection::Option o)
| Create exception object, taking C++ string.
Connection::Option | what_option () const
| Return the option that failed.

## Detailed Description

Exception thrown when you pass an unrecognized option to Connection::set_option().

The documentation for this class was generated from the following file:

- exceptions.h